Skip to content

Create a project page ​

POST/api/v1/workspaces/{workspace_slug}/projects/{project_id}/pages/

Create a page in a project.

Path parameters ​

project_id:requiredstring

The unique identifier of the project.

workspace_slug:requiredstring

The workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.

Body parameters ​

name:requiredstring

The page's name.

access:optionalinteger
  • 0 - Public
  • 1 - Private
color:optionalstring

Display color.

is_locked:optionalboolean

Whether the page is locked.

archived_at:optionalstring

When the page was archived.

view_props:optionalobject

View properties for the page.

logo_props:optionalobject

Logo settings used by the Plane editor.

external_id:optionalstring

Your system's identifier for this record, for sync and import correlation.

external_source:optionalstring

The system external_id came from, for example github or jira.

description_html:requiredstring

HTML content for the page body.

Scopes ​

projects.pages:write

Create a project page
bash
curl -X POST \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/pages/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Example Name",
  "access": 0,
  "color": "Example Name",
  "is_locked": true,
  "archived_at": "2024-01-01",
  "view_props": "example-value",
  "logo_props": "example-value",
  "external_id": "550e8400-e29b-41d4-a716-446655440000",
  "external_source": "github",
  "description_html": "<p>Example content</p>"
}'
Response201
json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Example Name",
  "created_at": "2024-01-01T00:00:00Z",
  "updated_at": "2024-01-01T00:00:00Z",
  "description_html": "<p>Example content</p>",
  "owned_by": "550e8400-e29b-41d4-a716-446655440000",
  "access": 0,
  "color": "Example Name",
  "is_locked": true,
  "archived_at": "2024-01-01",
  "workspace": "550e8400-e29b-41d4-a716-446655440000",
  "created_by": "550e8400-e29b-41d4-a716-446655440000",
  "updated_by": "550e8400-e29b-41d4-a716-446655440000"
}